import { EventArgs, Type } from "igniteui-webcomponents-core";
import { SpreadsheetEditModeValidationErrorAction } from "./SpreadsheetEditModeValidationErrorAction";
import { SpreadsheetCell } from "./SpreadsheetCell";
import { DataValidationRule } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class SpreadsheetEditModeValidationErrorEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: SpreadsheetCell, b: DataValidationRule, c: boolean);
    private _action;
    get action(): SpreadsheetEditModeValidationErrorAction;
    set action(a: SpreadsheetEditModeValidationErrorAction);
    private _canStayInEditMode;
    get canStayInEditMode(): boolean;
    set canStayInEditMode(a: boolean);
    private _cell;
    get cell(): SpreadsheetCell;
    set cell(a: SpreadsheetCell);
    private _validationRule;
    get validationRule(): DataValidationRule;
    set validationRule(a: DataValidationRule);
}
